Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.junit.functional
Interface ExecutionEnvironment.Settings

All Known Implementing Classes:
  BaseCacheProviderTestCase, BaseCacheRegionFactoryTestCase, BaseCacheTestCase, DatabaseSpecificFunctionalTestCase, FunctionalTestCase

Enclosing class:
  ExecutionEnvironment

    public static interface ExecutionEnvironment.Settings

Method Summary
`void` | `afterConfigurationBuilt(Mappings mappings, Dialect dialect)`
`void` | `afterSessionFactoryBuilt(SessionFactoryImplementor sfi)`
`boolean` | `appliesTo(Dialect dialect)`
`void` | `configure(Configuration cfg)`
`boolean` | `createSchema()`
`Class[]` | `getAnnotatedClasses()`
`String` | `getBaseForMappings()`
`String` | `getCacheConcurrencyStrategy()`
`String[]` | `getMappings()`
`boolean` | `overrideCacheStrategy()`
`boolean` | `recreateSchemaAfterFailure()`

Method Detail

### getMappings

    String[] getMappings()

### getAnnotatedClasses

    Class[] getAnnotatedClasses()

### getBaseForMappings

    String getBaseForMappings()

### createSchema

    boolean createSchema()

### recreateSchemaAfterFailure

    boolean recreateSchemaAfterFailure()

### configure

    void configure(Configuration cfg)

### overrideCacheStrategy

    boolean overrideCacheStrategy()

### getCacheConcurrencyStrategy

    String getCacheConcurrencyStrategy()

### afterSessionFactoryBuilt

    void afterSessionFactoryBuilt(SessionFactoryImplementor sfi)

### afterConfigurationBuilt

    void afterConfigurationBuilt(Mappings mappings,
                                 Dialect dialect)

### appliesTo

    boolean appliesTo(Dialect dialect)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.